Xfce Forum

Sub domains
 

You are not logged in.

#1 2007-02-26 01:24:57

Richard
Member
From: Venezuela
Registered: 2005-04-19
Posts: 6

xfce4 from Debian Sid wants to remove kde-devel, etal.

Hello,

When I install xfce4.3.99.2 from Debian Sid, apt-get says,
"The following packages will be REMOVED:
  kde-devel kdebase-dev kdelibs4-dev kdesdk kspy libfam-dev libfam0 libkonq4-dev"

If i say OK it installs, but then in order to build Krusader which needs kde-devel I'm stuck.
Reinstall kde-devel, etal, and it xfce4. Hard to have your cake and eat it, too. smile

This may not be news but I have been trying without much luck.
Any pointers appreciated.

Thanks,
Richard.

PS: [Edit]  I thought I had asked this before. In August of 2006 for 4.3.90.2:
http://forum.xfce.org/index.php?topic=2 … 9#msg11359
Nobody had any hopeful/helpful words on that one.  Guess I'll have to broaden the search.
Any ideas appreciated.  RH.

Offline

#2 2007-02-26 14:00:03

MagnusBerg
Member
Registered: 2004-12-17
Posts: 44

Re: xfce4 from Debian Sid wants to remove kde-devel, etal.

Any ideas appreciated

If you have - and you have :-) - dependency problems use Aptitude to see how the packages and the dependencies are linked together. Aptitude is outstandig then you must solve dependency problems.

Offline

#3 2007-02-26 17:09:31

Richard
Member
From: Venezuela
Registered: 2005-04-19
Posts: 6

Re: xfce4 from Debian Sid wants to remove kde-devel, etal.

Thanks, I'll try it.

Offline

#4 2007-02-27 12:38:39

Richard
Member
From: Venezuela
Registered: 2005-04-19
Posts: 6

Re: xfce4 from Debian Sid wants to remove kde-devel, etal.

Well, aptitude shows lots of information. In interactive mode, xfce4 doesn't show up.
It said it installed everything needed but it didn't install the main xfce4 package, so it wouldn't start.

In command line mode, it wants to remove all kdevelop tools. 
I notice that some develop tools are available with xfce4.
Haven't gone through the exercise of letting it remove and reinstall it's own to see if xfce will allow installing kde dev headers, etc. 

Anybody tried this already?

I'll make some more trials when I have a bit more time to experiment.
At present, back to running IceWM over Kde for the apps and build environment.
I would like to try something similar with Xfce4 which has really progressed.
It's a very impressive piece of work.

regards,
Richard.

Offline

#5 2007-03-03 14:16:13

MagnusBerg
Member
Registered: 2004-12-17
Posts: 44

Re: xfce4 from Debian Sid wants to remove kde-devel, etal.

"In command line mode, it wants to remove all kdevelop tools."

It can be one package needed by Xfce4 that conflicts with KDE. And just now I was hit by a memory, that could be faulty or is it is God :-), but it said that Fam is a KDE dependency and will be replaced by Gamin which is recommended by Thunar.
I use Fam. Don't ask me why but i think it was then alternative that worked with my dependencys.
That you have to do now is to use Aptitude and chose the one that fix your dependency problems. Open one of them in Aptitude and a bit down the side you will found conflicting packages. This means that you can manage both of them on the same side and then hit "g" to see that happende with the dependencies.

Offline

#6 2007-03-05 14:07:45

Richard
Member
From: Venezuela
Registered: 2005-04-19
Posts: 6

Re: xfce4 from Debian Sid wants to remove kde-devel, etal.

Thanks Magnus,

I've decided to just run Xfce and boot to another partition when I need to compile something Kde.
I really like the new version 4.4 (3.99.2).

Don't use all the parts yet and can't operate without Krusader, but that's just my personal problem. smile

I've tried different combinations, but will look into your suggestions.

So far, with Kde installed, when install xfce4 wants to remove kdebase-dev and others.
With Xfce4 installed, when install kdevelop, wants to remove xfce-desktop and others.

There is a conflict but it may not be resolved until Etch is unfrozen. Hopefully.

regards,
Richard.

Offline

Board footer

Powered by FluxBB